Skip to navigation

Get sandbox

Get the current status and configuration of a sandbox by name. Use this endpoint after creation to tell when the sandbox is ready, or to read back its image and lifecycle policy. For example, request GET /sandboxes/preview-env to inspect the sandbox created in the create example.

Path parameters

sandbox_namestringRequired

Sandbox name, for example preview-env.

Headers

X-Islo-Api-VersionstringRequired

Response

Sandbox details
created_atstring
idstring
imagestring
namestring
statusstring
created_bystring or nullOptional
creation_phasestring or nullOptional
deleted_atstring or nullOptional
lifecycleobject or nullOptional
setup_stepslist of objects or nullOptional
specobject or nullOptional
workdirstring or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error